%define major			2
%define libname			%mklibname %{name} %{major}
%define libnamedev		%mklibname %{name} -d
%define libnamestaticdev	%mklibname %{name} -d -s
%define ulock_major		1

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse
Version:	2.9.7
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/libfuse/libfuse/
Source0:	https://github.com/libfuse/libfuse/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
Source1:	fuse.conf
Source2:	fuse-makedev.d-fuse
Patch1:		mount-readlink-hang-workaround.patch
Requires(post):	makedev
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	libtool
BuildRequires:	gettext-devel

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires(pre):	filesystem
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%libname-devel < %{version}
Obsoletes:  %{libnamestaticdev}

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		System/Libraries
Requires(pre):	filesystem

%description -n	%{libname}
Libraries for fuse.

%prep
%setup -q
%patch1 -p1

sed -i 's|mknod|/bin/echo Disabled: mknod |g' util/Makefile.in

%build
export MOUNT_FUSE_PATH=%{_sbindir}
export INIT_D_PATH=%{_initrddir}
%configure2_5x \
	--disable-static
%make_build

%install
rm -rf %buildroot
%make_install

install -Dpm644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fuse.conf
install -Dpm644 %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

rm -rf %{buildroot}%{_sysconfdir}/rc.d/init.d %{buildroot}%{_sysconfdir}/udev/rules.d
rm -rf %{buildroot}%{_libdir}/*.la

mkdir -p %buildroot/sbin
ln -fs %{_sbindir}/mount.fuse %buildroot/sbin/mount.fuse

%preun
if [ -f %{_sysconfdir}/rc.d/init.d/fuse ]; then
  chkconfig --del fuse
fi

%files
%doc AUTHORS ChangeLog NEWS README.md README.NFS COPYING
/sbin/mount.fuse
%attr(0755,root,root) %{_sbindir}/mount.fuse
%attr(4755,root,root) %{_bindir}/fusermount
%attr(0755,root,root) %{_bindir}/ulockmgr_server
%{_mandir}/man1/fusermount.1*
%{_mandir}/man1/ulockmgr_server.1*
%{_mandir}/man8/mount.fuse.8*
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%config(noreplace) %{_sysconfdir}/fuse.conf

%files -n %{libname}
%{_libdir}/libfuse.so.%{major}*
%{_libdir}/libulockmgr.so.%{ulock_major}*

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Mon Nov 12 2018 adrianomorselli <adrianomorselli> 9-7-1-3uplos2018
- update with new gcc
- fix symlinky crap
- adjust build
- obsolete static-devel package
